Open SCAP Library: cvrf_document Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_document Struct Reference

## Public Member Functions
xmlNode * | cvrf_document_to_dom (struct cvrf_document *document)
| Creates a list of xmlNode siblings of all document elements, all of which will be added as a child list to the root node. More...
struct cvrf_document * | cvrf_document_new (void)
| New CVRF Document structure. More...
void | cvrf_document_free (struct cvrf_document *doc)
| Deallocates memory for the CVRF Document structure and all its child DocumentTracking, DocumentPublisher, DocumentReferences structures. More...
struct cvrf_document * | cvrf_document_clone (const struct cvrf_document *doc)
const char * | cvrf_document_get_doc_distribution (const struct cvrf_document *doc)
const char * | cvrf_document_get_aggregate_severity (const struct cvrf_document *doc)
const char * | cvrf_document_get_namespace (const struct cvrf_document *doc)
struct cvrf_doc_tracking * | cvrf_document_get_tracking (const struct cvrf_document *doc)
struct cvrf_doc_publisher * | cvrf_document_get_publisher (const struct cvrf_document *doc)
struct oscap_iterator * | cvrf_document_get_notes (struct cvrf_document *doc)
struct oscap_iterator * | cvrf_document_get_references (struct cvrf_document *doc)
struct oscap_iterator * | cvrf_document_get_acknowledgments (struct cvrf_document *doc)
bool | cvrf_document_set_doc_distribution (struct cvrf_document *doc, const char *distribution)
bool | cvrf_document_set_aggregate_severity (struct cvrf_document *doc, const char *severity)
bool | cvrf_document_set_namespace (struct cvrf_document *doc, const char *ns)
bool | cvrf_document_set_publisher (struct cvrf_document *doc, struct cvrf_doc_publisher *publisher)
bool | cvrf_document_set_tracking (struct cvrf_document *doc, struct cvrf_doc_tracking *track)

## Data Fields
char * | doc_distribution
char * | aggregate_severity
struct cvrf_doc_tracking * | tracking
struct cvrf_doc_publisher * | publisher
struct oscap_list * | doc_notes
struct oscap_list * | doc_references
struct oscap_list * | acknowledgments

## Member Function Documentation

## ◆ cvrf_document_to_dom()

xmlNode * cvrf_document_to_dom | ( | struct cvrf_document * | document | ) |

Creates a list of xmlNode siblings of all document elements, all of which will be added as a child list to the root node.

Parameters

  document | CVRF Document structure

Returns
  xmlNode with list of siblings to be added to root node

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h